hadoop-hdfs-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "LiXin Ge (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HDFS-13376) TLS support error in Native Build of hadoop-hdfs-native-client
Date Mon, 02 Apr 2018 07:13:00 GMT

    [ https://issues.apache.org/jira/browse/HDFS-13376?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16421988#comment-16421988
] 

LiXin Ge commented on HDFS-13376:
---------------------------------

[~James C] Thanks for your quick response and test code.

This is indeed a GCC version issue as we guess, the hadoop-hdfs-native-client build success
after I upgrade my GCC version to 4.8.5 from source code. 

As described in the [GNU website|https://gcc.gnu.org/projects/cxx-status.html#cxx11], GCC
4.8.1 was the first feature-complete implementation of the 2011 C++ standard. I have attached
a patch which upgraded the {{BUILDING.txt}} to explain this, [~James C] could you please help
to review it? Thanks!

> TLS support error in Native Build of hadoop-hdfs-native-client
> --------------------------------------------------------------
>
>                 Key: HDFS-13376
>                 URL: https://issues.apache.org/jira/browse/HDFS-13376
>             Project: Hadoop HDFS
>          Issue Type: Bug
>          Components: build, documentation, native
>    Affects Versions: 3.1.0
>            Reporter: LiXin Ge
>            Assignee: LiXin Ge
>            Priority: Major
>         Attachments: HDFS-13376.001.patch
>
>
> mvn --projects hadoop-hdfs-project/hadoop-hdfs-native-client clean package -Pdist,native
-DskipTests -Dtar
> {noformat}
> [exec] CMake Error at main/native/libhdfspp/CMakeLists.txt:64 (message):
>      [exec]   FATAL ERROR: The required feature thread_local storage is not supported
by
>      [exec]   your compiler.  Known compilers that support this feature: GCC, Visual
>      [exec]   Studio, Clang (community version), Clang (version for iOS 9 and later).
>      [exec]
>      [exec]
>      [exec] -- Performing Test THREAD_LOCAL_SUPPORTED - Failed
>      [exec] -- Configuring incomplete, errors occurred!
> {noformat}
> My environment:
> Linux: Red Hat 4.4.7-3
> cmake: 3.8.2
> java: 1.8.0_131
> gcc: 4.4.7
> maven: 3.5.0
> Seems this is because the low version of gcc, will report after confirming it. 
> Maybe the {{BUILDING.txt}} needs update to explain the supported lowest gcc version.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: hdfs-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: hdfs-issues-help@hadoop.apache.org


Mime
View raw message